#include <stdio.h>
///Yl 2

typedef struct{
	char mudel[256];
	char mark[256];
	char nrmrk[7];
	int aasta;
	char mootor[256];
	int kood; // ei pea olema char, nii on lihtsam
}Auto;

typedef struct{
	int kood; // ei pea olema char
	char nimi[256];
}Isik;

int failiKontroll(FILE*); // 
int failiPikkus(FILE*); // saab mlema faili jaoks kasutada
void loeAutoFailist(FILE*, Auto[]); // kahe faili jaoks kokku
void loeIsikuFailist(FILE*, Isik[]); // panna keeruline
void v2ljastaFailid(Auto[], Isik[], int, int); // kontrolliks
void sort(); // TODO: parameetrid mran hiljem
void t66tlus(int, int, Auto[], Isik[]);
void v2ljastus(Auto, Auto, Auto);

int main(void){
	FILE *F1, *F2;
	F1 = fopen("autod.txt", "r");
	F2 = fopen("isikud.txt", "r");
	if(failiKontroll(F1) || failiKontroll(F2))
		return -1; // vhemalt ks failidest ei avanenud
	int pikkusF1 = failiPikkus(F1);
	int pikkusF2 = failiPikkus(F2);
	Auto autojada[pikkusF1];
	Isik isikujada[pikkusF2];
	loeAutoFailist(F1, autojada);
	loeIsikuFailist(F2, isikujada);
	v2ljastaFailid(autojada, isikujada, pikkusF1, pikkusF2);
	return 0;
}

int failiKontroll(FILE *f){
	if(f == NULL)
		return 1;
	return 0;
}

int failiPikkus(FILE *f){
	char buf[1024]; // et kogu rida ra mahuks
	int i = 0;
	while(fgets(buf, 1024, f)){
		i++;
	}
	rewind(f); // keerame faili pointeri faili algusesse tagasi
	return i;
}

void loeAutoFailist(FILE *F, Auto autojada[]){
	int i = 0;
	while(fscanf(F, "%s %s %s %d %s %d", autojada[i].mudel, autojada[i].mark, autojada[i].nrmrk, &autojada[i].aasta, autojada[i].mootor, &autojada[i].kood) != EOF){
		i++;
	}
}

void loeIsikufailist(FILE *F, Isik isikujada[]){
	int i = 0;
	while(fscanf(F, "%d %s", &isikujada[i].kood, isikujada[i].nimi) != EOF){
		i++;
	}
}

void v2ljastaFailif(Auto autojada[], Isik isikujada[], int pikkus1, int pikkus2){
	int i;
	for(i=0;i<pikkus1;i++){
		printf("%s %s %d %s\nNumbrim2rk: %s\nOmanik: %d\n", autojada[i].mark, autojada[i].mudel, autojada[i].aasta, autojada[i].mootor, autojada[i].nrmrk, autojada[i].kood);
	}
	for(i=0;i<pikkus2;i++){
		printf("%s %d\n", isikujada[i].nimi, isikujada[i].kood);
	}
}
